### Method

# Ide SourceView set_gutter

#### Declaration

    void
    ide_source_view_set_gutter (
      IdeSourceView* self,
      IdeGutter* gutter
    )

#### Description

Allows setting the gutter for the sourceview.

Generally, this will always be `IdeOmniGutterRenderer`. However, to avoid circular dependencies, an interface is used to allow plugins to set this object.

Available since: | 3.32

#### Parameters

`gutter` | `IdeGutter`
| An `IdeGutter`.
| The data is owned by the caller of the function.